<?php
	// I know including wp-load is not recommended but this is not a plugin file
	require_once( dirname(dirname(dirname(dirname(__FILE__)))) . '/wp-load.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<script type='text/javascript' src='<?php echo get_option('siteurl'); ?>/wp-includes/js/jquery/jquery.js?ver=1.3.2'></script>

<script type="text/javascript">
$j = jQuery.noConflict();

var api_key = "<?php echo get_option('flickrapikey') ?>";

var flickr_id = '<?php echo $_GET['flickr_id']; ?>';

var rowhtml = "";

var interestingbits = new Array();

var sizelinks = "";

var user_id = "";

$j(document).ready(function () {
	
    $j.getJSON('http://api.flickr.com/services/rest/?&method=flickr.photos.getInfo&api_key='+api_key+'&photo_id='+flickr_id+'&format=json&jsoncallback=?', function (data) {

        if (data.stat != 'fail') {
        	
			buildrow("Title",data.photo.title._content);
			buildrow("Description",data.photo.description._content);
			buildrow("Date taken",data.photo.dates.taken);
			buildrow("Number of Comments",data.photo.comments._content);
			buildrow("Number of Views",data.photo.views);
			
			user_id = data.photo.owner.nsid;
						
			taglinks = "";
			
			$j(data.photo.tags.tag).each(function () {
				taglinks += "<a href='http://www.flickr.com/photos/tags/"+this._content+"' >"+this._content+"</a> ";
			});
			
			buildrow('Tags',taglinks);
									

			$j.getJSON('http://api.flickr.com/services/rest/?&method=flickr.photos.getAllContexts&api_key='+api_key+'&photo_id='+flickr_id+'&format=json&jsoncallback=?', function (data) {
				
				var sets = "";
				
				$j(data.set).each(function (){
						
						sets += " <a href='http://www.flickr.com/photos/"+user_id+"/sets/"+this.id+"'>"+this.title+"</a>";
					
				});
				
				buildrow('Sets',sets);
				
				var pools = "";
				
				$j(data.pool).each(function (){
						
						pools += "  <a href='http://www.flickr.com/groups/"+this.id+"/pool/'>"+this.title+"</a>";
					
				});
				
				buildrow('Groups',pools);				
				
			});									
									
			if(data.photo.usage.candownload == 1){
									
			   	$j.getJSON('http://api.flickr.com/services/rest/?&method=flickr.photos.getSizes&api_key='+api_key+'&photo_id='+flickr_id+'&format=json&jsoncallback=?', function (data) {
										
					$j(data.sizes.size).each(function (){
						
						sizelinks += " <a href='"+this.url+"'>"+this.label+"</a>";
					
					});
					buildrow('Sizes',sizelinks);
			    });				
			}
						
        } else {
			errorhtml = "<h1>Sorry! Cannot show data</h1>";
			errorhtml += "<p align='center' >Additionally Flickr said: "+data.message+"</p>";
            $j("#interestingexif").html(errorhtml);
            $j('#showraw').html('');

        }

    }

    );
})

function buildrow(key,value){
	$j('#interesting > tbody:last').append("<tr><td class='key'>"+key+"</td><td class='value' >"+value+"</td></tr>");
}

</script>
<style>
body {
	font-family: sans-serif;
	margin: 0px;
	padding: 0px;
}

h1 {
	text-align: center;
	margin: 0px;
}


.key {
	width: 30%;
	font: bold 80% sans-serif;
	padding: 5px 5px 5px 10px;
}

.value {
	font: 80% sans-serif;
	padding: 5px;
}

.interestingvalue{
	font: 1200% sans-serif;
	background: #EEEEEE;
	padding: 5px;
}

#interesting {
	width: 100%
}

</style>

</head>
<body>
    <table id="interesting"><tbody></tbody></table>  
</body>
</html>