<?php
	// I know including wp-load is not recommended but this is not a plugin file
	require_once( dirname(dirname(dirname(dirname(__FILE__)))) . '/wp-load.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=<?php echo get_option('gmapapikey') ?>" type="text/javascript"></script>
<script type='text/javascript' src='<?php echo get_option('siteurl'); ?>/wp-includes/js/jquery/jquery.js?ver=1.3.2'></script>

<script type="text/javascript">
$j=jQuery.noConflict();

var api_key = "<?php echo get_option('flickrapikey') ?>";

var centerLatitude = 37.818361;
var centerLongitude = -122.478032;
var description = '';

var startZoom = 13;
var map;

function addMarker(latitude, longitude, description) {
    var marker = new GMarker(new GLatLng(latitude, longitude));
    
    GEvent.addListener(marker, 'click',
        function() {
            marker.openInfoWindowHtml(description);
        }
    );

    map.addOverlay(marker);
}

function init() {	    	
    $j.getJSON('http://api.flickr.com/services/rest/?&method=flickr.photos.geo.getLocation&api_key='+api_key+'&photo_id=<?php echo $_GET['flickr_id']; ?>&format=json&jsoncallback=?',
        function(geodata){
			if(geodata.stat != 'fail') {         
				centerLatitude  = geodata.photo.location.latitude;
				centerLongitude = geodata.photo.location.longitude;

				if (geodata.photo.location.locality){
					description += geodata.photo.location.locality._content+", "
				}
				
				
				
				description += geodata.photo.location.county._content+",<br/>"+geodata.photo.location.region._content+", "+geodata.photo.location.country._content+". <p style='font-size: 6pt' >Location description as supplied by Flickr. May be incomplete or inaccurate!</p>";
				
				if (GBrowserIsCompatible()) {
    		
        			map = new GMap2(document.getElementById("map"), {size: new GSize(628,410)});
        			map.addControl(new GSmallMapControl());
        			map.addControl(new GMapTypeControl());
        			map.setCenter(new GLatLng(centerLatitude, centerLongitude), startZoom);
        			map.setMapType(G_HYBRID_MAP);
        			        	
        			addMarker(centerLatitude, centerLongitude, description);
    
    			}
			} else {
				errorhtml = "<h1>Sorry! Cannot show location map</h1>";
				errorhtml += "<p>Additionally Flickr said: "+geodata.message+"</p>";
				
				$j("#map").html(errorhtml);
			}		
    	}
    );
}
   
window.onload = init;
window.onunload = GUnload;
</script>
<style>
body {
	font-family: sans-serif;
	margin:0px;
	padding:0px;
	text-align: center;	
}

h1 {
	text-align: center;
	margin: 0px;
	font-family: sans-serif;
}
</style>

</head>
<body>
    <div id="map" style="width: 628px; height: 410px"></div>
</body>
</html>